%define name decibel-audio-player
%define version 1.08
%define release %mkrel 3

Summary: Decibel Audio Player 
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
License: GPLv2
URL: http://decibel.silent-blade.org/
Source0: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
Requires: pygtk2.0
Requires: dbus-python
Requires: gnome-python
Requires: mutagen
Requires: pygtk2.0-libglade
Requires: python-CDDB
Requires: gstreamer0.10-python
BuildArch: noarch 
Obsoletes: %name < %version

%description
Decibel Audio Player is a GTK+ open-source (GPL license) audio player
designed for GNU/Linux, which aims at being very straightforward to use
by mean of a very clean and user friendly interface. It is especially
targeted at Gnome and will follow as closely as possible the Gnome HIG.


%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
export CFLAGS="$RPM_OPT_FLAGS"

# Darn prefix option doesn't work in the makefile
%__sed -i -e 's|prefix ?= /usr/local|prefix ?= /usr|g' Makefile

DESTDIR=%{buildroot} make install
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# Change the path to the main program file
%__sed -i -e 's|python %{buildroot}/usr/share/decibel-audio-player/src/decibel-audio-player.py \"\$\@\" \&|python /usr/share/decibel-audio-player/src/decibel-audio-player.py \"\$\@\" \&|g' %{buildroot}/usr/bin/decibel-audio-player

%__sed -i -e 's|python %{buildroot}/usr/share/decibel-audio-player/src/remote.py \"\$\@\"|/usr/share/decibel-audio-player/src/remote.py \"\$\@\"|g' %{buildroot}/usr/bin/decibel-audio-player-remote

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_datadir}/%{name}
%{_datadir}/man/man1/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Jun 02 2017 adrianomorselli <adrianomorselli> 1.08-3uplos2017
- fix menu entries
